| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.PixelRectangles.Histogram

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.
Documentation

data Sink | Source

Constructors

PassThrough |
Sink |

Instances

Eq Sink
Ord Sink
Show Sink

histogram :: Proxy -> StateVar (Maybe (GLsizei, PixelInternalFormat, Sink)) | Source

data Reset | Source

Constructors

NoReset |
Reset |

Instances

Eq Reset
Ord Reset
Show Reset

getHistogram :: Reset -> PixelData a -> IO () | Source

resetHistogram :: IO () | Source

histogramRGBASizes :: Proxy -> GettableStateVar (Color4 GLsizei) | Source

histogramLuminanceSize :: Proxy -> GettableStateVar GLsizei | Source

Produced by Haddock version 0.9